package com.kurukurupapa.tryandroid.fw.util;

import android.test.ActivityInstrumentationTestCase2;
import android.widget.Button;

public class TestUtil {

	public static void performClick(
			ActivityInstrumentationTestCase2<?> testCase, final Button button) {
		// UIスレッドで実行する
		testCase.getActivity().runOnUiThread(new Runnable() {
			public void run() {
				// ボタンを押す
				button.performClick();
			}
		});
		// UIの操作が完了するまで待つ
		testCase.getInstrumentation().waitForIdleSync();
	}
}
